include ../../components/paginacao
include modalRemover.pug

h1.page-header(ng-if="verificarPermissao(AcaoSistema.LISTAR_EMPREENDIMENTOS)")
	| Gestão de empreendimentos

.card(ng-if="verificarPermissao(AcaoSistema.LISTAR_EMPREENDIMENTOS)")

	h3 Pesquisar

	form(name="form", novalidate)
		.form-group
			.input-group
				input.form-control(type="text", placeholder="Informe a denominação ou CPF/CNPJ do empreendimento desejado", ng-model="filtro.busca", on-enter="listar()")
				.input-group-btn
					button.btn.btn-group.btn-raised.btn-sm.btn-primary(type="button", ng-click="listar()")
						i.material-icons search
						|	Pesquisar

		button.btn.btn-link.no-padding-sides.btn-xs.btn-shortcut-danger.pull-left.btn-blur(type="button", ng-click="limparFiltro()")
			i.material-icons clear
			|	Limpar

.card(ng-if="verificarPermissao(AcaoSistema.LISTAR_EMPREENDIMENTOS)")

	h3 Empreendimentos cadastrados

	table.table.table-hover.table-striped(ng-if='paginacao.totalItens > 0')
		thead
			tr
				th.col-md-5
					span.pointer(ng-click='listar("Denominação", ordenacaoReversa = !ordenacaoReversa)')
						| Denominação
					i.pointer.material-icons(ng-click='listar("Denominação", ordenacaoReversa)', ng-show='campo !== "Denominação"') filter_list
					span.pointer(ng-show='campo == "Denominação"')
						i.material-icons(ng-click='listar("Denominação", ordenacaoReversa = !ordenacaoReversa)', ng-show='!ordenacaoReversa') arrow_downward
						i.material-icons(ng-click='listar("Denominação", ordenacaoReversa = !ordenacaoReversa)', ng-show='ordenacaoReversa') arrow_upward

				th.col-md-3
					| CPF / CNPJ

				th.col-md-4
					span.pointer(ng-click='listar("Municipio", ordenacaoReversa = !ordenacaoReversa)')
						| Município - Estado
					i.pointer.material-icons(ng-click='listar("Municipio", ordenacaoReversa)', ng-show='campo !== "Municipio"') filter_list
					span.pointer(ng-show='campo == "Municipio"')
						i.material-icons(ng-click='listar("Municipio", ordenacaoReversa = !ordenacaoReversa)', ng-show='!ordenacaoReversa') arrow_downward
						i.material-icons(ng-click='listar("Municipio", ordenacaoReversa = !ordenacaoReversa)', ng-show='ordenacaoReversa') arrow_upward

				th

		tbody

			tr(ng-repeat=("empreendimento in empreendimentos"))

				td
					.text(uib-tooltip="{{empreendimento.denominacao}}", tooltip-placement="top-left")
						span {{empreendimento.denominacao}}

				td(ng-if='empreendimento.pessoa.cpf')
					.text(uib-tooltip="{{empreendimento.pessoa.cpf | cpfCnpj}}", tooltip-placement="top-left")
						span {{empreendimento.pessoa.cpf | cpfCnpj}}

				td(ng-if='empreendimento.pessoa.cnpj')
					.text(uib-tooltip="{{empreendimento.pessoa.cnpj | cpfCnpj}}", tooltip-placement="top-left")
						span {{empreendimento.pessoa.cnpj | cpfCnpj}}

				td
					.text(uib-tooltip="{{empreendimento.enderecoPrincipal.municipio.nome}} - {{empreendimento.enderecoPrincipal.municipio.estado.sigla}}", tooltip-placement="top-left")
						span {{empreendimento.enderecoPrincipal.municipio.nome}} - {{empreendimento.enderecoPrincipal.municipio.estado.sigla}}

				td
					div.dropdown
						button.btn.btn-primary.btn-xs.btn-outline(type="button", data-toggle="dropdown")
							| Ações&nbsp;
							span.caret

						ul.dropdown-menu.dropdown-menu-right(role="menu")
							li(ng-if="verificarPermissao(AcaoSistema.VISUALIZAR_EMPREENDIMENTO)")
								a(title='Visualizar', ng-click='visualizar(empreendimento.id)')
									i.material-icons remove_red_eye
									|	Visualizar
							//- li(ng-if="verificarPermissao(AcaoSistema.REMOVER_EMPREENDIMENTO)")
								a(title='Remover', ng-click='abrirModalExcluir(empreendimento)')
									i.material-icons delete
									|	Excluir

	+paginacao("paginacao", "empreendimentos")

	center
		span(ng-if='paginacao.totalItens === 0')
			| Não existem dados a serem exibidos.

